# wso2wsf::AuthenticationProvider Class Reference
[AuthenticationProvider]

class AuthenticationProvider Represents an interface needed implement any user specific authentication module. Extend from this class and implement the abstract methods defined here to implement a authentication provider. More...

`#include <AuthenticationProvider.h>`

List of all members.

## Public Member Functions
virtual bool | checkPassword (std::string &username, std::string &password, MessageContext *msgctx)=0
virtual bool | checkDigestPassword (std::string &username, std::string &nonce, std::string &created, std::string &digest, MessageContext *msgctx)=0
virtual WSF_EXTERN | ~AuthenticationProvider ()
## Static Public Member Functions
static WSF_EXTERN rampart_authn_provider_status_t | callbackPasswordPlain (rampart_authn_provider_t *authn_provider, const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx, const axis2_char_t *username, const axis2_char_t *password)
static WSF_EXTERN rampart_authn_provider_status_t | callbackPasswordDigest (rampart_authn_provider_t *authn_provider, const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx, const axis2_char_t *username, const axis2_char_t *nonce, const axis2_char_t *created, const char *digest)

## Detailed Description

class AuthenticationProvider Represents an interface needed implement any user specific authentication module. Extend from this class and implement the abstract methods defined here to implement a authentication provider.

## Constructor & Destructor Documentation

virtual WSF_EXTERN wso2wsf::AuthenticationProvider::~AuthenticationProvider | ( |  | ) | `[virtual]`

destructor that can be overridden.

## Member Function Documentation

static WSF_EXTERN rampart_authn_provider_status_t wso2wsf::AuthenticationProvider::callbackPasswordDigest | ( | rampart_authn_provider_t * | authn_provider,
|  | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx,
|  | const axis2_char_t * | username,
|  | const axis2_char_t * | nonce,
|  | const axis2_char_t * | created,
|  | const char * | digest |
| ) |  |  | `[static]`

Static Handler to be invoked to check digest password

static WSF_EXTERN rampart_authn_provider_status_t wso2wsf::AuthenticationProvider::callbackPasswordPlain | ( | rampart_authn_provider_t * | authn_provider,
|  | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx,
|  | const axis2_char_t * | username,
|  | const axis2_char_t * | password |
| ) |  |  | `[static]`

Static Handler to be invoked to check plain password

virtual bool wso2wsf::AuthenticationProvider::checkDigestPassword | ( | std::string & | username,
|  | std::string & | nonce,
|  | std::string & | created,
|  | std::string & | digest,
|  | MessageContext * | msgctx |
| ) |  |  | `[pure virtual]`

Handler to be invoked to check digest password

Parameters:

  | username | Username
  | nonce | nonce value
  | created | created time
  | digest | digest value
  | msgctx | pointer to message context

Returns:
  true if successful, false otherwise

virtual bool wso2wsf::AuthenticationProvider::checkPassword | ( | std::string & | username,
|  | std::string & | password,
|  | MessageContext * | msgctx |
| ) |  |  | `[pure virtual]`

Handler to be invoked to check plain password

Parameters:

  | username | username
  | password | password

Returns:
  msgctx pointer to message context

The documentation for this class was generated from the following file:

- AuthenticationProvider.h